# Method Stdio.Buffer()->try_output()

Method try_output

  ``int(-1..)` try_output()`

Description

  Try to write some data from the buffer to the file registered with __fd_set_output().

  This is typically called from backend callbacks when it seems that it is possible to write some data to the file.

Returns

  Returns `-1` on write error, and otherwise the number of bytes written to the file.

See also

  __fd_set_output()